-- ************************************ Station ************************************ --
MicroscopeStation = deriveLuaClass("MicroscopeStation", "WorkStation")

function MicroscopeStation:init(desc)
	MicroscopeStation.superInit(desc)
	self.taking_blood = desc.taking_blood
end

function MicroscopeStation:onCureStart()
	assert(self:getOccupant(0).disease)
	local step = self:getOccupant(0).disease.currentStep
	if (step.value == "GIVE_BLOOD") then
		level:getSpriteExt(self.taking_blood):playAnimation("ANIM", 1, "rewind", step.cureDuration / 6)
	end
	return false
end
